$('#forum').ajaxForm({
	dataType: 'json',
	success: function(data)
	{
		$.each(data, function(i, val)
		{
			if(i == 'e')
				bootbox.dialog('<h3 class="red">Ошибка</h3>'+val,
					[{
						"label" : "Продолжить"
					}]
				);

			if(i == 's')
				location.reload();
		});

		loading(0)
	}
});

function forum_search(go)
{
	if($('#search').val() == '')
	{
		$('#search_error').css('display', 'none');

		return;
	}

	loading(1);

	if(go) go = '/go'; else go = '';

	$.ajax({
		type: 'POST',
		url: home+'forum/subsection/search'+go,
		data: 'text='+$('#search').val(),
		dataType: 'json',
		success: function(data)
		{
			$.each(data, function(i, val)
			{
				if(i == 'e')
				{
					if(val != '')
					{
						$('#search_error').css('display', 'inline-block');
						$('#search_error').html(val);
					}else
						$('#search_error').css('display', 'none');
				}

				if(i == 's')
				{
					$('#search_error').css('display', 'none');
					$('#search_result').html(val);
				}
			});

			loading(0);
		}
	});
}

function anscom(id)
{
	bootbox.dialog('<h3 class="green">Внимание</h3> Вы уверены, что хотите одобрить ответ?',
		[{
			"label" : "Одобрить",
			callback : function(){anscom_go(id)}
		},{
			"label" : "Отмена",
		}]
	);

	return false;
}
function anscom_go(id)
{
	loading(1);

	$.ajax({
		type: 'POST',
		url: home+'forum/section/active/type/anscom/id/'+id,
		dataType: 'json',
		success: function(data)
		{
			$.each(data, function(i, val)
			{
				if(i == 'e')
					bootbox.dialog('<h3 class="red">Ошибка</h3>'+val,
						[{
							"label" : "Продолжить"
						}]
					);

				if(i == 's')
					location.reload()
			});

			loading(0);
		}
	});
}

function anscom_delete(id)
{
	bootbox.dialog('<h3 class="green">Внимание</h3> Вы уверены, что хотите удалить данный ответ?',
		[{
			"label" : "Удалить",
			callback : function(){anscom_delete_go(id)}
		},{
			"label" : "Отмена",
		}]
	);

	return false;
}
function anscom_delete_go(id)
{
	loading(1);

	$.ajax({
		type: 'POST',
		url: home+'forum/section/delete/type/anscom?id='+id,
		dataType: 'json',
		success: function(data)
		{
			$.each(data, function(i, val)
			{
				if(i == 'e')
					bootbox.dialog('<h3 class="red">Ошибка</h3>'+val,
						[{
							"label" : "Продолжить"
						}]
					);

				if(i == 's')
					location.reload()
			});

			loading(0);
		}
	});
}

function forum_delete(id)
{
	bootbox.dialog('<h3 class="green">Внимание</h3> Вы уверены, что хотите удалить данный форум?',
		[{
			"label" : "Удалить",
			callback : function(){forum_delete_go(id)}
		},{
			"label" : "Отмена",
		}]
	);

	return false;
}
function forum_delete_go(id)
{
	loading(1);

	$.ajax({
		type: 'POST',
		url: home+'forum/section/delete/type/forum?id='+id,
		dataType: 'json',
		success: function(data)
		{
			$.each(data, function(i, val)
			{
				if(i == 'e')
					bootbox.dialog('<h3 class="red">Ошибка</h3>'+val,
						[{
							"label" : "Продолжить"
						}]
					);

				if(i == 's')
					location.reload()
			});

			loading(0);
		}
	});
}

function active_forum(id)
{
	bootbox.dialog('<h3 class="green">Внимание</h3> Вы уверены, что хотите одобрить форум?',
		[{
			"label" : "Одобрить",
			callback : function(){active_forum_go(id)}
		},{
			"label" : "Отмена",
		}]
	);

	return false;
}
function active_forum_go(id)
{
	loading(1);

	$.ajax({
		type: 'POST',
		url: home+'forum/section/active/type/forum/id/'+id,
		dataType: 'json',
		success: function(data)
		{
			$.each(data, function(i, val)
			{
				if(i == 'e')
					bootbox.dialog('<h3 class="red">Ошибка</h3>'+val,
						[{
							"label" : "Продолжить"
						}]
					);

				if(i == 's')
					location.reload()
			});

			loading(0);
		}
	});
}

function active_themes(id)
{
	bootbox.dialog('<h3 class="green">Внимание</h3> Вы уверены, что хотите одобрить тему?',
		[{
			"label" : "Одобрить",
			callback : function(){active_themes_go(id)}
		},{
			"label" : "Отмена",
		}]
	);

	return false;
}
function active_themes_go(id)
{
	loading(1);

	$.ajax({
		type: 'POST',
		url: home+'forum/section/active/type/themes/id/'+id,
		dataType: 'json',
		success: function(data)
		{
			$.each(data, function(i, val)
			{
				if(i == 'e')
					bootbox.dialog('<h3 class="red">Ошибка</h3>'+val,
						[{
							"label" : "Продолжить"
						}]
					);

				if(i == 's')
					location.reload()
			});

			loading(0);
		}
	});
}

function themes_delete(id)
{
	bootbox.dialog('<h3 class="green">Внимание</h3> Вы уверены, что хотите удалить данный форум?',
		[{
			"label" : "Удалить",
			callback : function(){themes_delete_go(id)}
		},{
			"label" : "Отмена",
		}]
	);

	return false;
}
function themes_delete_go(id)
{
	loading(1);

	$.ajax({
		type: 'POST',
		url: home+'forum/section/delete/type/themes?id='+id,
		dataType: 'json',
		success: function(data)
		{
			$.each(data, function(i, val)
			{
				if(i == 'e')
					bootbox.dialog('<h3 class="red">Ошибка</h3>'+val,
						[{
							"label" : "Продолжить"
						}]
					);

				if(i == 's')
					location.reload()
			});

			loading(0);
		}
	});
}

function answer_delete(id)
{
	bootbox.dialog('<h3 class="green">Внимание</h3> Вы уверены, что хотите удалить данный форум?',
		[{
			"label" : "Удалить",
			callback : function(){forum_delete_go(id)}
		},{
			"label" : "Отмена",
		}]
	);

	return false;
}

function answer_delete_go(id)
{
	loading(1);

	$.ajax({
		type: 'POST',
		url: home+'forum/section/delete/type/answer?id='+id,
		dataType: 'json',
		success: function(data)
		{
			$.each(data, function(i, val)
			{
				if(i == 'e')
					bootbox.dialog('<h3 class="red">Ошибка</h3>'+val,
						[{
							"label" : "Продолжить"
						}]
					);

				if(i == 's')
					location.reload()
			});

			loading(0);
		}
	});
}

function forum_cat_delete(id)
{
	bootbox.dialog('<h3 class="green">Внимание</h3> Вы уверены, что хотите удалить категорию?',
		[{
			"label" : "Удалить",
			callback : function(){forum_cat_delete_go(id)}
		},{
			"label" : "Отмена",
		}]
	);

	return false;
}

function forum_cat_delete_go(id)
{
	loading(1);

	$.ajax({
		type: 'POST',
		url: home+'forum/section/delete/type/cat?id='+id,
		dataType: 'json',
		success: function(data)
		{
			$.each(data, function(i, val)
			{
				if(i == 'e')
					bootbox.dialog('<h3 class="red">Ошибка</h3>'+val,
						[{
							"label" : "Продолжить"
						}]
					);

				if(i == 's')
					location.reload()
			});

			loading(0);
		}
	});
}

function bbcode(bbbegin, bbend)
{
	form = document.getElementById('text');
	begin = form.value.substr(0, form.selectionStart);
	end = form.value.substr(form.selectionEnd);
	sel = form.value.substr(form.selectionStart, form.selectionEnd-form.selectionStart);
	var text = form.firstChild;
	form.value = begin+bbbegin+sel+bbend+end;
	selPos = bbbegin.length+begin.length+sel.length+bbend.length;
	form.setSelectionRange(begin.length, selPos);

	return false;
}